<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8" />
    <title></title>
    <script>
      // comment out for debug production
      // const startHot = false;
      // const isDev = false;
      // default is true
      // now everything is on browser
      const { remote } = require('electron');
      const logger = remote.getGlobal('logger');
      logger.setLogInstance(console, true);
      const startHot = remote.getGlobal('startHot');
      const isDev = remote.getGlobal('isDev');

      (function() {
        if (!startHot) {
          const link = document.createElement('link');
          link.rel = 'stylesheet';
          link.href = './dist/style.css';
          // HACK: Writing the script path should be done with webpack
          document.getElementsByTagName('head')[0].appendChild(link);
        }
      })();
    </script>
  </head>
  <body>
    <div id="root"></div>
    <script>
      {
        const scripts = [];

        // Dynamically insert the DLL script in development env in the
        // renderer process
        if (isDev) {
          scripts.push('../dll/renderer.dev.dll.js');
        }

        // Dynamically insert the bundled app script in the renderer process
        // not from build so use env directly
        const port = process.env.PORT || 1212;

        scripts.push(
          startHot
            ? 'http://localhost:' + port + '/dist/renderer.dev.js'
            : './dist/renderer.electron-renderer.prod.js'
        );

        scripts.forEach(script => {
          const s = document.createElement('script');
          s.type = 'text/javascript';
          s.src = script;
          document.head.appendChild(s);
        });
      }
    </script>
  </body>
</html>
